Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.calendars.get_earnings(from_=date.fromisoformat("2024-01-01"), to=date.fromisoformat("2024-01-31"), symbol="AAPL")
assert res.get_earnings_calendar_response is not None
# Handle response
print(res.get_earnings_calendar_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.calendars.getEarnings({
from: new Date("2024-01-01"),
to: new Date("2024-01-31"),
symbol: "AAPL",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/calendars/earnings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/calendars/earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/calendars/earnings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/calendars/earnings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/calendars/earnings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/calendars/earnings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"analystRating": {
"averageReturn": "15.3%",
"currentRating": "Buy",
"priceTarget": 200.5,
"successRate": "72%",
"totalRatings": 45
},
"date": "2024-01-16",
"epsActual": 2.18,
"epsEstimate": 2.1,
"epsSurprise": 0.08,
"hour": "amc",
"importance": 3,
"logo": {
"logoDark": "https://example.com/aapl-dark.png",
"logoLight": "https://example.com/aapl-light.png"
},
"marketCap": 2850000,
"name": "Apple Inc.",
"quarter": 1,
"revenueActual": 119580000000,
"revenueEstimate": 118000000000,
"revenueSurprise": 1580000000,
"symbol": "AAPL",
"time": "06:45:00",
"year": 2024
}
]
Calendar
Earnings Calendar
Retrieve upcoming and historical earnings announcement dates, expected EPS, revenue estimates, and confirmed reporting times. Filter by date range or specific symbols to track quarterly earnings releases and plan trades around volatility events.
Use Case: Alert users 24 hours before their portfolio holdings report earnings to manage position risk.
GET
/
v1
/
calendars
/
earnings
Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.calendars.get_earnings(from_=date.fromisoformat("2024-01-01"), to=date.fromisoformat("2024-01-31"), symbol="AAPL")
assert res.get_earnings_calendar_response is not None
# Handle response
print(res.get_earnings_calendar_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.calendars.getEarnings({
from: new Date("2024-01-01"),
to: new Date("2024-01-31"),
symbol: "AAPL",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/calendars/earnings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/calendars/earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/calendars/earnings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/calendars/earnings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/calendars/earnings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/calendars/earnings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"analystRating": {
"averageReturn": "15.3%",
"currentRating": "Buy",
"priceTarget": 200.5,
"successRate": "72%",
"totalRatings": 45
},
"date": "2024-01-16",
"epsActual": 2.18,
"epsEstimate": 2.1,
"epsSurprise": 0.08,
"hour": "amc",
"importance": 3,
"logo": {
"logoDark": "https://example.com/aapl-dark.png",
"logoLight": "https://example.com/aapl-light.png"
},
"marketCap": 2850000,
"name": "Apple Inc.",
"quarter": 1,
"revenueActual": 119580000000,
"revenueEstimate": 118000000000,
"revenueSurprise": 1580000000,
"symbol": "AAPL",
"time": "06:45:00",
"year": 2024
}
]
Authorizations
Query Parameters
Response
Earnings calendar data retrieved successfully
Was this page helpful?